Purchase Orders
Manage purchase orders for inventory procurement.
Base URL: /api/v1/partner/purchaseorders
Endpoints Overview
| Method | Endpoint | Description |
|---|---|---|
| POST | / | Create Purchase Order |
| POST | /prepare | Prepare Purchase Order |
| PUT | /{purchaseOrderId} | Update Purchase Order |
| GET | /{purchaseOrderId} | Get Purchase Order by id |
| GET | /list | Get purchase order list |
| GET | /dates | Get purchase order list |
Create Purchase Order
POST /api/v1/partner/purchaseorders
Create a new purchase order. Required fields include currentEmployeeId, poPaymentTerms, paymentType, and poProductAddRequestList (the line items). The employee ID is used for audit attribution.
Request Body
- Fields
- JSON
| Field | Type | Required | Description |
|---|---|---|---|
vendorId | string | No | Vendor identifier |
notes | string | No | Notes |
poPaymentTerms | string | Yes | Po Payment Terms |
paymentType | string | Yes | Payment Type |
poProductAddRequestList | POProductAddRequest[] | Yes | Po Product Add Request List |
customTermDate | long | No | Custom Term timestamp (epoch ms) |
reference | string | No | Reference |
discount | number | No | Discount |
fees | number | No | Fees |
deliveryAddress | string | No | Delivery Address |
deliveryTime | long | No | Delivery timestamp (epoch ms) |
deliveryDate | long | No | Delivery timestamp (epoch ms) |
termsAndCondition | string | No | Terms And Condition |
purchaseOrderDate | long | No | Purchase Order timestamp (epoch ms) |
licenseId | string | No | License identifier |
adjustmentInfoList | AdjustmentInfo[] | No | Adjustment Info List |
inventoryId | string | No | Inventory identifier |
complianceManifestNumber | string | No | Compliance Manifest Number |
costSource | string | No | Cost Source |
currentEmployeeId | string | Yes | Current Employee identifier |
{
"vendorId": "abc123",
"notes": "string",
"poPaymentTerms": "string",
"paymentType": "string",
"poProductAddRequestList": [
{
"productId": "abc123",
"requestQuantity": 0,
"notes": "string",
"totalCost": 0,
"discount": 0,
"finalTotalCost": 0
}
],
"customTermDate": 1704067200000,
"reference": "string",
"discount": 0,
"fees": 0,
"deliveryAddress": "string",
"deliveryTime": 1704067200000,
"deliveryDate": 1704067200000,
"termsAndCondition": "string",
"purchaseOrderDate": 1704067200000,
"licenseId": "abc123",
"adjustmentInfoList": [
{
"adjustmentId": "abc123",
"negative": false,
"amount": "ZERO"
}
],
"inventoryId": "abc123",
"complianceManifestNumber": "string",
"costSource": "string",
"currentEmployeeId": "abc123"
}
Response
Returns a PurchaseOrder object.
- Fields
- JSON
| Field | Type | Required | Description |
|---|---|---|---|
id | string | No | Unique identifier |
companyId | string | No | Company identifier |
shopId | string | No | Shop identifier |
created | long | No | Created timestamp (epoch ms) |
modified | long | No | Last modified timestamp (epoch ms) |
deleted | boolean | No | Whether the record is deleted |
updated | boolean | No | Whether the record has been updated |
displayName | string | No | Display Name |
paymentType | string | No | Payment Type |
poNumber | string | No | Po Number |
parentPOId | string | No | Parent P O identifier |
parentPONumber | string | No | Parent P O Number |
approvedDate | long | No | Approved timestamp (epoch ms) |
approvedBy | string | No | Approved By |
approvedSignature | CompanyAsset | No | Approved Signature |
poPaymentTerms | string | No | Po Payment Terms. One of: NET_30, COD, NET_45, NET_60, NET_15, NET_7, CUSTOM_DATE |
purchaseOrderStatus | string | No | Purchase Order Status. One of: InProgress, ReceivingShipment, RequiredApproval, Approved, WaitingShipment, Closed, Cancel, Decline, ReceivedShipment (default: InProgress) |
poPaymentOptions | string | No | Po Payment Options. One of: CASH, CREDIT, DEBIT, COD, ACH_TRANSFER, CHEQUE, BLAZECAPITAL, OTHER |
companyAssetList | CompanyAsset[] | No | Company Asset List |
poProductRequestList | POProductRequest[] | No | Po Product Request List |
vendorId | string | No | Vendor identifier |
receivedDate | long | No | Received timestamp (epoch ms) |
deliveredBy | string | No | Delivered By |
receivedByEmployeeId | string | No | Received By Employee identifier |
createdByEmployeeId | string | No | Created By Employee identifier |
completedByEmployeeId | string | No | Completed By Employee identifier |
poType | string | No | Po Type. One of: Normal, BackOrder (default: Normal) |
completedDate | long | No | Completed timestamp (epoch ms) |
notes | string | No | Notes |
declineReason | string | No | Decline Reason |
declineDate | long | No | Decline timestamp (epoch ms) |
totalCost | number | No | Total Cost |
amountPaid | number | No | Amount Paid |
submitForApprovalDate | long | No | Submit For Approval timestamp (epoch ms) |
archive | boolean | No | Archive (default: false) |
archiveDate | long | No | Archive timestamp (epoch ms) |
customTermDate | long | No | Custom Term timestamp (epoch ms) |
managerReceiveSignature | CompanyAsset | No | Manager Receive Signature |
reference | string | No | Reference |
qbPurchaseOrderRef | string | No | Qb Purchase Order Ref |
grandTotal | number | No | Grand Total |
totalTax | number | No | Total Tax |
totalPreCalcTax | number | No | Total Pre Calc Tax |
totalCalcTax | number | No | Total Calc Tax |
taxResult | TaxResult | No | Tax Result |
customerType | string | No | Customer Type. One of: VENDOR, CUSTOMER_COMPANY (default: VENDOR) |
deliveryAddress | string | No | Delivery Address |
deliveryTime | long | No | Delivery timestamp (epoch ms) |
deliveryDate | long | No | Delivery timestamp (epoch ms) |
termsAndCondition | string | No | Terms And Condition |
deliveryCharge | number | No | Delivery Charge |
enableDeliveryCharge | boolean | No | Enable Delivery Charge (default: false) |
poQrCodeAsset | CompanyAsset | No | Po Qr Code Asset |
poQrCodeUrl | string | No | Po Qr Code Url |
flowerSourceType | string | No | Flower Source Type. One of: CULTIVATOR_DIRECT, DISTRIBUTOR |
shipmentBillId | string | No | Shipment Bill identifier |
discount | number | No | Discount |
fees | number | No | Fees |
purchaseOrderDate | long | No | Purchase Order timestamp (epoch ms) |
dueDate | long | No | Due timestamp (epoch ms) |
licenseId | string | No | License identifier |
manualClose | boolean | No | Manual Close |
complianceManifestNumber | string | No | Compliance Manifest Number |
complianceId | string | No | Compliance identifier |
totalDiscount | number | No | Total Discount |
adjustmentInfoList | AdjustmentInfo[] | No | Adjustment Info List |
purchaseOrderPreviousStatus | string | No | Purchase Order Previous Status. One of: InProgress, ReceivingShipment, RequiredApproval, Approved, WaitingShipment, Closed, Cancel, Decline, ReceivedShipment |
assignedShipments | Shipment[] | No | Assigned Shipments |
inventoryId | string | No | Inventory identifier |
costSource | string | No | Cost Source |
{
"id": "abc123",
"companyId": "abc123",
"shopId": "abc123",
"created": 1704067200000,
"modified": 1704067200000,
"deleted": false,
"updated": false,
"displayName": "string",
"paymentType": "string",
"poNumber": "string",
"parentPOId": "abc123",
"parentPONumber": "string",
"approvedDate": 1704067200000,
"approvedBy": "string",
"approvedSignature": {
"id": "abc123",
"companyId": "abc123",
"created": 1704067200000,
"modified": 1704067200000,
"deleted": false,
"updated": false,
"name": "string",
"key": "string",
"type": {},
"publicURL": "string",
"active": false,
"priority": 0,
"secured": true,
"thumbURL": "string",
"mediumURL": "string",
"largeURL": "string",
"largeX2URL": "string",
"origURL": "string",
"platformFileUrl": "string"
},
"poPaymentTerms": "NET_30",
"purchaseOrderStatus": "InProgress",
"poPaymentOptions": "CASH",
"companyAssetList": [
{
"id": "abc123",
"companyId": "abc123",
"created": 1704067200000,
"modified": 1704067200000,
"deleted": false,
"updated": false,
"name": "string",
"key": "string",
"type": {},
"publicURL": "string",
"active": false,
"priority": 0,
"secured": true,
"thumbURL": "string",
"mediumURL": "string",
"largeURL": "string",
"largeX2URL": "string",
"origURL": "string",
"platformFileUrl": "string"
}
],
"poProductRequestList": [
{
"id": "abc123",
"companyId": "abc123",
"shopId": "abc123",
"created": 1704067200000,
"modified": 1704067200000,
"deleted": false,
"updated": false,
"categoryId": "abc123",
"categoryName": "string",
"productId": "abc123",
"productName": "string",
"requestStatus": "PENDING",
"requestQuantity": 0,
"receivedQuantity": 0,
"trackingPackagesList": [],
"notes": "string",
"unitPrice": 0,
"totalCost": 0,
"exciseTax": 0,
"totalExciseTax": 0,
"totalCultivationTax": 0,
"declineReason": "string",
"batches": [],
"batchAddDetails": [],
"discount": 0,
"finalTotalCost": 0,
"txnLineID": "string",
"qaTestResult": {}
}
],
"vendorId": "abc123",
"receivedDate": 1704067200000,
"deliveredBy": "string",
"receivedByEmployeeId": "abc123",
"createdByEmployeeId": "abc123",
"completedByEmployeeId": "abc123",
"poType": "Normal",
"completedDate": 1704067200000,
"notes": "string",
"declineReason": "string",
"declineDate": 1704067200000,
"totalCost": 0,
"amountPaid": 0,
"submitForApprovalDate": 1704067200000,
"archive": false,
"archiveDate": 1704067200000,
"customTermDate": 1704067200000,
"managerReceiveSignature": {
"id": "abc123",
"companyId": "abc123",
"created": 1704067200000,
"modified": 1704067200000,
"deleted": false,
"updated": false,
"name": "string",
"key": "string",
"type": {},
"publicURL": "string",
"active": false,
"priority": 0,
"secured": true,
"thumbURL": "string",
"mediumURL": "string",
"largeURL": "string",
"largeX2URL": "string",
"origURL": "string",
"platformFileUrl": "string"
},
"reference": "string",
"qbPurchaseOrderRef": "string",
"grandTotal": 0,
"totalTax": 0,
"totalPreCalcTax": 0,
"totalCalcTax": 0,
"taxResult": {
"id": "abc123",
"created": 1704067200000,
"modified": 1704067200000,
"deleted": false,
"updated": false,
"totalPreCalcTax": 0,
"totalPostCalcTax": 0,
"totalCityTax": 0,
"totalCountyTax": 0,
"totalStateTax": 0,
"totalFedTax": 0,
"totalCityPreTax": 0,
"totalCountyPreTax": 0,
"totalStatePreTax": 0,
"totalFedPreTax": 0,
"totalExciseTax": 0,
"totalNALPreExciseTax": 0,
"totalALExciseTax": 0,
"totalALPostExciseTax": 0,
"cultivationTaxResult": {},
"totalDeliveryFeeTax": 0,
"surchargeFeeTax": 0,
"surchargeFeeExciseTax": 0,
"totalSurchargeFeeTax": "ZERO"
},
"customerType": "VENDOR",
"deliveryAddress": "string",
"deliveryTime": 1704067200000,
"deliveryDate": 1704067200000,
"termsAndCondition": "string",
"deliveryCharge": 0,
"enableDeliveryCharge": false,
"poQrCodeAsset": {
"id": "abc123",
"companyId": "abc123",
"created": 1704067200000,
"modified": 1704067200000,
"deleted": false,
"updated": false,
"name": "string",
"key": "string",
"type": {},
"publicURL": "string",
"active": false,
"priority": 0,
"secured": true,
"thumbURL": "string",
"mediumURL": "string",
"largeURL": "string",
"largeX2URL": "string",
"origURL": "string",
"platformFileUrl": "string"
},
"poQrCodeUrl": "string",
"flowerSourceType": "CULTIVATOR_DIRECT",
"shipmentBillId": "abc123",
"discount": 0,
"fees": 0,
"purchaseOrderDate": 1704067200000,
"dueDate": 1704067200000,
"licenseId": "abc123",
"manualClose": false,
"complianceManifestNumber": "string",
"complianceId": "abc123",
"totalDiscount": 0,
"adjustmentInfoList": [
{
"adjustmentId": "abc123",
"negative": false,
"amount": "ZERO"
}
],
"purchaseOrderPreviousStatus": "InProgress",
"assignedShipments": [
{
"id": "abc123",
"companyId": "abc123",
"shopId": "abc123",
"created": 1704067200000,
"modified": 1704067200000,
"deleted": false,
"updated": false,
"shippingManifestId": "abc123",
"shippingManifestNo": "string",
"productMetrcInfo": [],
"shipperInformation": {},
"deliveryDate": 1704067200000,
"deliveryTime": 1704067200000,
"shippedDateTime": 1704067200000,
"estimatedArrival": 0,
"notes": [],
"distributorInformation": {},
"shipmentStatus": "Incoming",
"acceptedDate": 1704067200000,
"acceptedBy": "string",
"acceptedSignature": {},
"assigned": false
}
],
"inventoryId": "abc123",
"costSource": "string"
}
Prepare Purchase Order
POST /api/v1/partner/purchaseorders/prepare
Preview a purchase order without saving it. Takes the same input as the create endpoint but returns a computed PO with calculated totals, taxes, and fees without persisting to the database. Use this to show a preview before final submission.
Request Body
- Fields
- JSON
| Field | Type | Required | Description |
|---|---|---|---|
vendorId | string | No | Vendor identifier |
notes | string | No | Notes |
poPaymentTerms | string | Yes | Po Payment Terms |
paymentType | string | Yes | Payment Type |
poProductAddRequestList | POProductAddRequest[] | Yes | Po Product Add Request List |
customTermDate | long | No | Custom Term timestamp (epoch ms) |
reference | string | No | Reference |
discount | number | No | Discount |
fees | number | No | Fees |
deliveryAddress | string | No | Delivery Address |
deliveryTime | long | No | Delivery timestamp (epoch ms) |
deliveryDate | long | No | Delivery timestamp (epoch ms) |
termsAndCondition | string | No | Terms And Condition |
purchaseOrderDate | long | No | Purchase Order timestamp (epoch ms) |
licenseId | string | No | License identifier |
adjustmentInfoList | AdjustmentInfo[] | No | Adjustment Info List |
inventoryId | string | No | Inventory identifier |
complianceManifestNumber | string | No | Compliance Manifest Number |
costSource | string | No | Cost Source |
currentEmployeeId | string | Yes | Current Employee identifier |
{
"vendorId": "abc123",
"notes": "string",
"poPaymentTerms": "string",
"paymentType": "string",
"poProductAddRequestList": [
{
"productId": "abc123",
"requestQuantity": 0,
"notes": "string",
"totalCost": 0,
"discount": 0,
"finalTotalCost": 0
}
],
"customTermDate": 1704067200000,
"reference": "string",
"discount": 0,
"fees": 0,
"deliveryAddress": "string",
"deliveryTime": 1704067200000,
"deliveryDate": 1704067200000,
"termsAndCondition": "string",
"purchaseOrderDate": 1704067200000,
"licenseId": "abc123",
"adjustmentInfoList": [
{
"adjustmentId": "abc123",
"negative": false,
"amount": "ZERO"
}
],
"inventoryId": "abc123",
"complianceManifestNumber": "string",
"costSource": "string",
"currentEmployeeId": "abc123"
}
Response
Returns a PurchaseOrder object.
- Fields
- JSON
| Field | Type | Required | Description |
|---|---|---|---|
id | string | No | Unique identifier |
companyId | string | No | Company identifier |
shopId | string | No | Shop identifier |
created | long | No | Created timestamp (epoch ms) |
modified | long | No | Last modified timestamp (epoch ms) |
deleted | boolean | No | Whether the record is deleted |
updated | boolean | No | Whether the record has been updated |
displayName | string | No | Display Name |
paymentType | string | No | Payment Type |
poNumber | string | No | Po Number |
parentPOId | string | No | Parent P O identifier |
parentPONumber | string | No | Parent P O Number |
approvedDate | long | No | Approved timestamp (epoch ms) |
approvedBy | string | No | Approved By |
approvedSignature | CompanyAsset | No | Approved Signature |
poPaymentTerms | string | No | Po Payment Terms. One of: NET_30, COD, NET_45, NET_60, NET_15, NET_7, CUSTOM_DATE |
purchaseOrderStatus | string | No | Purchase Order Status. One of: InProgress, ReceivingShipment, RequiredApproval, Approved, WaitingShipment, Closed, Cancel, Decline, ReceivedShipment (default: InProgress) |
poPaymentOptions | string | No | Po Payment Options. One of: CASH, CREDIT, DEBIT, COD, ACH_TRANSFER, CHEQUE, BLAZECAPITAL, OTHER |
companyAssetList | CompanyAsset[] | No | Company Asset List |
poProductRequestList | POProductRequest[] | No | Po Product Request List |
vendorId | string | No | Vendor identifier |
receivedDate | long | No | Received timestamp (epoch ms) |
deliveredBy | string | No | Delivered By |
receivedByEmployeeId | string | No | Received By Employee identifier |
createdByEmployeeId | string | No | Created By Employee identifier |
completedByEmployeeId | string | No | Completed By Employee identifier |
poType | string | No | Po Type. One of: Normal, BackOrder (default: Normal) |
completedDate | long | No | Completed timestamp (epoch ms) |
notes | string | No | Notes |
declineReason | string | No | Decline Reason |
declineDate | long | No | Decline timestamp (epoch ms) |
totalCost | number | No | Total Cost |
amountPaid | number | No | Amount Paid |
submitForApprovalDate | long | No | Submit For Approval timestamp (epoch ms) |
archive | boolean | No | Archive (default: false) |
archiveDate | long | No | Archive timestamp (epoch ms) |
customTermDate | long | No | Custom Term timestamp (epoch ms) |
managerReceiveSignature | CompanyAsset | No | Manager Receive Signature |
reference | string | No | Reference |
qbPurchaseOrderRef | string | No | Qb Purchase Order Ref |
grandTotal | number | No | Grand Total |
totalTax | number | No | Total Tax |
totalPreCalcTax | number | No | Total Pre Calc Tax |
totalCalcTax | number | No | Total Calc Tax |
taxResult | TaxResult | No | Tax Result |
customerType | string | No | Customer Type. One of: VENDOR, CUSTOMER_COMPANY (default: VENDOR) |
deliveryAddress | string | No | Delivery Address |
deliveryTime | long | No | Delivery timestamp (epoch ms) |
deliveryDate | long | No | Delivery timestamp (epoch ms) |
termsAndCondition | string | No | Terms And Condition |
deliveryCharge | number | No | Delivery Charge |
enableDeliveryCharge | boolean | No | Enable Delivery Charge (default: false) |
poQrCodeAsset | CompanyAsset | No | Po Qr Code Asset |
poQrCodeUrl | string | No | Po Qr Code Url |
flowerSourceType | string | No | Flower Source Type. One of: CULTIVATOR_DIRECT, DISTRIBUTOR |
shipmentBillId | string | No | Shipment Bill identifier |
discount | number | No | Discount |
fees | number | No | Fees |
purchaseOrderDate | long | No | Purchase Order timestamp (epoch ms) |
dueDate | long | No | Due timestamp (epoch ms) |
licenseId | string | No | License identifier |
manualClose | boolean | No | Manual Close |
complianceManifestNumber | string | No | Compliance Manifest Number |
complianceId | string | No | Compliance identifier |
totalDiscount | number | No | Total Discount |
adjustmentInfoList | AdjustmentInfo[] | No | Adjustment Info List |
purchaseOrderPreviousStatus | string | No | Purchase Order Previous Status. One of: InProgress, ReceivingShipment, RequiredApproval, Approved, WaitingShipment, Closed, Cancel, Decline, ReceivedShipment |
assignedShipments | Shipment[] | No | Assigned Shipments |
inventoryId | string | No | Inventory identifier |
costSource | string | No | Cost Source |
{
"id": "abc123",
"companyId": "abc123",
"shopId": "abc123",
"created": 1704067200000,
"modified": 1704067200000,
"deleted": false,
"updated": false,
"displayName": "string",
"paymentType": "string",
"poNumber": "string",
"parentPOId": "abc123",
"parentPONumber": "string",
"approvedDate": 1704067200000,
"approvedBy": "string",
"approvedSignature": {
"id": "abc123",
"companyId": "abc123",
"created": 1704067200000,
"modified": 1704067200000,
"deleted": false,
"updated": false,
"name": "string",
"key": "string",
"type": {},
"publicURL": "string",
"active": false,
"priority": 0,
"secured": true,
"thumbURL": "string",
"mediumURL": "string",
"largeURL": "string",
"largeX2URL": "string",
"origURL": "string",
"platformFileUrl": "string"
},
"poPaymentTerms": "NET_30",
"purchaseOrderStatus": "InProgress",
"poPaymentOptions": "CASH",
"companyAssetList": [
{
"id": "abc123",
"companyId": "abc123",
"created": 1704067200000,
"modified": 1704067200000,
"deleted": false,
"updated": false,
"name": "string",
"key": "string",
"type": {},
"publicURL": "string",
"active": false,
"priority": 0,
"secured": true,
"thumbURL": "string",
"mediumURL": "string",
"largeURL": "string",
"largeX2URL": "string",
"origURL": "string",
"platformFileUrl": "string"
}
],
"poProductRequestList": [
{
"id": "abc123",
"companyId": "abc123",
"shopId": "abc123",
"created": 1704067200000,
"modified": 1704067200000,
"deleted": false,
"updated": false,
"categoryId": "abc123",
"categoryName": "string",
"productId": "abc123",
"productName": "string",
"requestStatus": "PENDING",
"requestQuantity": 0,
"receivedQuantity": 0,
"trackingPackagesList": [],
"notes": "string",
"unitPrice": 0,
"totalCost": 0,
"exciseTax": 0,
"totalExciseTax": 0,
"totalCultivationTax": 0,
"declineReason": "string",
"batches": [],
"batchAddDetails": [],
"discount": 0,
"finalTotalCost": 0,
"txnLineID": "string",
"qaTestResult": {}
}
],
"vendorId": "abc123",
"receivedDate": 1704067200000,
"deliveredBy": "string",
"receivedByEmployeeId": "abc123",
"createdByEmployeeId": "abc123",
"completedByEmployeeId": "abc123",
"poType": "Normal",
"completedDate": 1704067200000,
"notes": "string",
"declineReason": "string",
"declineDate": 1704067200000,
"totalCost": 0,
"amountPaid": 0,
"submitForApprovalDate": 1704067200000,
"archive": false,
"archiveDate": 1704067200000,
"customTermDate": 1704067200000,
"managerReceiveSignature": {
"id": "abc123",
"companyId": "abc123",
"created": 1704067200000,
"modified": 1704067200000,
"deleted": false,
"updated": false,
"name": "string",
"key": "string",
"type": {},
"publicURL": "string",
"active": false,
"priority": 0,
"secured": true,
"thumbURL": "string",
"mediumURL": "string",
"largeURL": "string",
"largeX2URL": "string",
"origURL": "string",
"platformFileUrl": "string"
},
"reference": "string",
"qbPurchaseOrderRef": "string",
"grandTotal": 0,
"totalTax": 0,
"totalPreCalcTax": 0,
"totalCalcTax": 0,
"taxResult": {
"id": "abc123",
"created": 1704067200000,
"modified": 1704067200000,
"deleted": false,
"updated": false,
"totalPreCalcTax": 0,
"totalPostCalcTax": 0,
"totalCityTax": 0,
"totalCountyTax": 0,
"totalStateTax": 0,
"totalFedTax": 0,
"totalCityPreTax": 0,
"totalCountyPreTax": 0,
"totalStatePreTax": 0,
"totalFedPreTax": 0,
"totalExciseTax": 0,
"totalNALPreExciseTax": 0,
"totalALExciseTax": 0,
"totalALPostExciseTax": 0,
"cultivationTaxResult": {},
"totalDeliveryFeeTax": 0,
"surchargeFeeTax": 0,
"surchargeFeeExciseTax": 0,
"totalSurchargeFeeTax": "ZERO"
},
"customerType": "VENDOR",
"deliveryAddress": "string",
"deliveryTime": 1704067200000,
"deliveryDate": 1704067200000,
"termsAndCondition": "string",
"deliveryCharge": 0,
"enableDeliveryCharge": false,
"poQrCodeAsset": {
"id": "abc123",
"companyId": "abc123",
"created": 1704067200000,
"modified": 1704067200000,
"deleted": false,
"updated": false,
"name": "string",
"key": "string",
"type": {},
"publicURL": "string",
"active": false,
"priority": 0,
"secured": true,
"thumbURL": "string",
"mediumURL": "string",
"largeURL": "string",
"largeX2URL": "string",
"origURL": "string",
"platformFileUrl": "string"
},
"poQrCodeUrl": "string",
"flowerSourceType": "CULTIVATOR_DIRECT",
"shipmentBillId": "abc123",
"discount": 0,
"fees": 0,
"purchaseOrderDate": 1704067200000,
"dueDate": 1704067200000,
"licenseId": "abc123",
"manualClose": false,
"complianceManifestNumber": "string",
"complianceId": "abc123",
"totalDiscount": 0,
"adjustmentInfoList": [
{
"adjustmentId": "abc123",
"negative": false,
"amount": "ZERO"
}
],
"purchaseOrderPreviousStatus": "InProgress",
"assignedShipments": [
{
"id": "abc123",
"companyId": "abc123",
"shopId": "abc123",
"created": 1704067200000,
"modified": 1704067200000,
"deleted": false,
"updated": false,
"shippingManifestId": "abc123",
"shippingManifestNo": "string",
"productMetrcInfo": [],
"shipperInformation": {},
"deliveryDate": 1704067200000,
"deliveryTime": 1704067200000,
"shippedDateTime": 1704067200000,
"estimatedArrival": 0,
"notes": [],
"distributorInformation": {},
"shipmentStatus": "Incoming",
"acceptedDate": 1704067200000,
"acceptedBy": "string",
"acceptedSignature": {},
"assigned": false
}
],
"inventoryId": "abc123",
"costSource": "string"
}
Update Purchase Order
PUT /api/v1/partner/purchaseorders/{purchaseOrderId}
Update an existing purchase order. The request body must include currentEmployeeId along with the updated PO data.
Path Parameters
| Parameter | Type | Description |
|---|---|---|
purchaseOrderId | string | The purchase order i d |
Request Body
- Fields
- JSON
| Field | Type | Required | Description |
|---|---|---|---|
id | string | No | Unique identifier |
companyId | string | No | Company identifier |
shopId | string | No | Shop identifier |
created | long | No | Created timestamp (epoch ms) |
modified | long | No | Last modified timestamp (epoch ms) |
deleted | boolean | No | Whether the record is deleted |
updated | boolean | No | Whether the record has been updated |
displayName | string | No | Display Name |
paymentType | string | No | Payment Type |
poNumber | string | No | Po Number |
parentPOId | string | No | Parent P O identifier |
parentPONumber | string | No | Parent P O Number |
approvedDate | long | No | Approved timestamp (epoch ms) |
approvedBy | string | No | Approved By |
approvedSignature | CompanyAsset | No | Approved Signature |
poPaymentTerms | string | No | Po Payment Terms. One of: NET_30, COD, NET_45, NET_60, NET_15, NET_7, CUSTOM_DATE |
purchaseOrderStatus | string | No | Purchase Order Status. One of: InProgress, ReceivingShipment, RequiredApproval, Approved, WaitingShipment, Closed, Cancel, Decline, ReceivedShipment (default: InProgress) |
poPaymentOptions | string | No | Po Payment Options. One of: CASH, CREDIT, DEBIT, COD, ACH_TRANSFER, CHEQUE, BLAZECAPITAL, OTHER |
companyAssetList | CompanyAsset[] | No | Company Asset List |
poProductRequestList | POProductRequest[] | No | Po Product Request List |
vendorId | string | No | Vendor identifier |
receivedDate | long | No | Received timestamp (epoch ms) |
deliveredBy | string | No | Delivered By |
receivedByEmployeeId | string | No | Received By Employee identifier |
createdByEmployeeId | string | No | Created By Employee identifier |
completedByEmployeeId | string | No | Completed By Employee identifier |
poType | string | No | Po Type. One of: Normal, BackOrder (default: Normal) |
completedDate | long | No | Completed timestamp (epoch ms) |
notes | string | No | Notes |
declineReason | string | No | Decline Reason |
declineDate | long | No | Decline timestamp (epoch ms) |
totalCost | number | No | Total Cost |
amountPaid | number | No | Amount Paid |
submitForApprovalDate | long | No | Submit For Approval timestamp (epoch ms) |
archive | boolean | No | Archive (default: false) |
archiveDate | long | No | Archive timestamp (epoch ms) |
customTermDate | long | No | Custom Term timestamp (epoch ms) |
managerReceiveSignature | CompanyAsset | No | Manager Receive Signature |
reference | string | No | Reference |
qbPurchaseOrderRef | string | No | Qb Purchase Order Ref |
grandTotal | number | No | Grand Total |
totalTax | number | No | Total Tax |
totalPreCalcTax | number | No | Total Pre Calc Tax |
totalCalcTax | number | No | Total Calc Tax |
taxResult | TaxResult | No | Tax Result |
customerType | string | No | Customer Type. One of: VENDOR, CUSTOMER_COMPANY (default: VENDOR) |
deliveryAddress | string | No | Delivery Address |
deliveryTime | long | No | Delivery timestamp (epoch ms) |
deliveryDate | long | No | Delivery timestamp (epoch ms) |
termsAndCondition | string | No | Terms And Condition |
deliveryCharge | number | No | Delivery Charge |
enableDeliveryCharge | boolean | No | Enable Delivery Charge (default: false) |
poQrCodeAsset | CompanyAsset | No | Po Qr Code Asset |
poQrCodeUrl | string | No | Po Qr Code Url |
flowerSourceType | string | No | Flower Source Type. One of: CULTIVATOR_DIRECT, DISTRIBUTOR |
shipmentBillId | string | No | Shipment Bill identifier |
discount | number | No | Discount |
fees | number | No | Fees |
purchaseOrderDate | long | No | Purchase Order timestamp (epoch ms) |
dueDate | long | No | Due timestamp (epoch ms) |
licenseId | string | No | License identifier |
manualClose | boolean | No | Manual Close |
complianceManifestNumber | string | No | Compliance Manifest Number |
complianceId | string | No | Compliance identifier |
totalDiscount | number | No | Total Discount |
adjustmentInfoList | AdjustmentInfo[] | No | Adjustment Info List |
purchaseOrderPreviousStatus | string | No | Purchase Order Previous Status. One of: InProgress, ReceivingShipment, RequiredApproval, Approved, WaitingShipment, Closed, Cancel, Decline, ReceivedShipment |
assignedShipments | Shipment[] | No | Assigned Shipments |
inventoryId | string | No | Inventory identifier |
costSource | string | No | Cost Source |
currentEmployeeId | string | Yes | Current Employee identifier |
{
"id": "abc123",
"companyId": "abc123",
"shopId": "abc123",
"created": 1704067200000,
"modified": 1704067200000,
"deleted": false,
"updated": false,
"displayName": "string",
"paymentType": "string",
"poNumber": "string",
"parentPOId": "abc123",
"parentPONumber": "string",
"approvedDate": 1704067200000,
"approvedBy": "string",
"approvedSignature": {
"id": "abc123",
"companyId": "abc123",
"created": 1704067200000,
"modified": 1704067200000,
"deleted": false,
"updated": false,
"name": "string",
"key": "string",
"type": {},
"publicURL": "string",
"active": false,
"priority": 0,
"secured": true,
"thumbURL": "string",
"mediumURL": "string",
"largeURL": "string",
"largeX2URL": "string",
"origURL": "string",
"platformFileUrl": "string"
},
"poPaymentTerms": "NET_30",
"purchaseOrderStatus": "InProgress",
"poPaymentOptions": "CASH",
"companyAssetList": [
{
"id": "abc123",
"companyId": "abc123",
"created": 1704067200000,
"modified": 1704067200000,
"deleted": false,
"updated": false,
"name": "string",
"key": "string",
"type": {},
"publicURL": "string",
"active": false,
"priority": 0,
"secured": true,
"thumbURL": "string",
"mediumURL": "string",
"largeURL": "string",
"largeX2URL": "string",
"origURL": "string",
"platformFileUrl": "string"
}
],
"poProductRequestList": [
{
"id": "abc123",
"companyId": "abc123",
"shopId": "abc123",
"created": 1704067200000,
"modified": 1704067200000,
"deleted": false,
"updated": false,
"categoryId": "abc123",
"categoryName": "string",
"productId": "abc123",
"productName": "string",
"requestStatus": "PENDING",
"requestQuantity": 0,
"receivedQuantity": 0,
"trackingPackagesList": [],
"notes": "string",
"unitPrice": 0,
"totalCost": 0,
"exciseTax": 0,
"totalExciseTax": 0,
"totalCultivationTax": 0,
"declineReason": "string",
"batches": [],
"batchAddDetails": [],
"discount": 0,
"finalTotalCost": 0,
"txnLineID": "string",
"qaTestResult": {}
}
],
"vendorId": "abc123",
"receivedDate": 1704067200000,
"deliveredBy": "string",
"receivedByEmployeeId": "abc123",
"createdByEmployeeId": "abc123",
"completedByEmployeeId": "abc123",
"poType": "Normal",
"completedDate": 1704067200000,
"notes": "string",
"declineReason": "string",
"declineDate": 1704067200000,
"totalCost": 0,
"amountPaid": 0,
"submitForApprovalDate": 1704067200000,
"archive": false,
"archiveDate": 1704067200000,
"customTermDate": 1704067200000,
"managerReceiveSignature": {
"id": "abc123",
"companyId": "abc123",
"created": 1704067200000,
"modified": 1704067200000,
"deleted": false,
"updated": false,
"name": "string",
"key": "string",
"type": {},
"publicURL": "string",
"active": false,
"priority": 0,
"secured": true,
"thumbURL": "string",
"mediumURL": "string",
"largeURL": "string",
"largeX2URL": "string",
"origURL": "string",
"platformFileUrl": "string"
},
"reference": "string",
"qbPurchaseOrderRef": "string",
"grandTotal": 0,
"totalTax": 0,
"totalPreCalcTax": 0,
"totalCalcTax": 0,
"taxResult": {
"id": "abc123",
"created": 1704067200000,
"modified": 1704067200000,
"deleted": false,
"updated": false,
"totalPreCalcTax": 0,
"totalPostCalcTax": 0,
"totalCityTax": 0,
"totalCountyTax": 0,
"totalStateTax": 0,
"totalFedTax": 0,
"totalCityPreTax": 0,
"totalCountyPreTax": 0,
"totalStatePreTax": 0,
"totalFedPreTax": 0,
"totalExciseTax": 0,
"totalNALPreExciseTax": 0,
"totalALExciseTax": 0,
"totalALPostExciseTax": 0,
"cultivationTaxResult": {},
"totalDeliveryFeeTax": 0,
"surchargeFeeTax": 0,
"surchargeFeeExciseTax": 0,
"totalSurchargeFeeTax": "ZERO"
},
"customerType": "VENDOR",
"deliveryAddress": "string",
"deliveryTime": 1704067200000,
"deliveryDate": 1704067200000,
"termsAndCondition": "string",
"deliveryCharge": 0,
"enableDeliveryCharge": false,
"poQrCodeAsset": {
"id": "abc123",
"companyId": "abc123",
"created": 1704067200000,
"modified": 1704067200000,
"deleted": false,
"updated": false,
"name": "string",
"key": "string",
"type": {},
"publicURL": "string",
"active": false,
"priority": 0,
"secured": true,
"thumbURL": "string",
"mediumURL": "string",
"largeURL": "string",
"largeX2URL": "string",
"origURL": "string",
"platformFileUrl": "string"
},
"poQrCodeUrl": "string",
"flowerSourceType": "CULTIVATOR_DIRECT",
"shipmentBillId": "abc123",
"discount": 0,
"fees": 0,
"purchaseOrderDate": 1704067200000,
"dueDate": 1704067200000,
"licenseId": "abc123",
"manualClose": false,
"complianceManifestNumber": "string",
"complianceId": "abc123",
"totalDiscount": 0,
"adjustmentInfoList": [
{
"adjustmentId": "abc123",
"negative": false,
"amount": "ZERO"
}
],
"purchaseOrderPreviousStatus": "InProgress",
"assignedShipments": [
{
"id": "abc123",
"companyId": "abc123",
"shopId": "abc123",
"created": 1704067200000,
"modified": 1704067200000,
"deleted": false,
"updated": false,
"shippingManifestId": "abc123",
"shippingManifestNo": "string",
"productMetrcInfo": [],
"shipperInformation": {},
"deliveryDate": 1704067200000,
"deliveryTime": 1704067200000,
"shippedDateTime": 1704067200000,
"estimatedArrival": 0,
"notes": [],
"distributorInformation": {},
"shipmentStatus": "Incoming",
"acceptedDate": 1704067200000,
"acceptedBy": "string",
"acceptedSignature": {},
"assigned": false
}
],
"inventoryId": "abc123",
"costSource": "string",
"currentEmployeeId": "abc123"
}
Response
Returns a PurchaseOrder object.
- Fields
- JSON
| Field | Type | Required | Description |
|---|---|---|---|
id | string | No | Unique identifier |
companyId | string | No | Company identifier |
shopId | string | No | Shop identifier |
created | long | No | Created timestamp (epoch ms) |
modified | long | No | Last modified timestamp (epoch ms) |
deleted | boolean | No | Whether the record is deleted |
updated | boolean | No | Whether the record has been updated |
displayName | string | No | Display Name |
paymentType | string | No | Payment Type |
poNumber | string | No | Po Number |
parentPOId | string | No | Parent P O identifier |
parentPONumber | string | No | Parent P O Number |
approvedDate | long | No | Approved timestamp (epoch ms) |
approvedBy | string | No | Approved By |
approvedSignature | CompanyAsset | No | Approved Signature |
poPaymentTerms | string | No | Po Payment Terms. One of: NET_30, COD, NET_45, NET_60, NET_15, NET_7, CUSTOM_DATE |
purchaseOrderStatus | string | No | Purchase Order Status. One of: InProgress, ReceivingShipment, RequiredApproval, Approved, WaitingShipment, Closed, Cancel, Decline, ReceivedShipment (default: InProgress) |
poPaymentOptions | string | No | Po Payment Options. One of: CASH, CREDIT, DEBIT, COD, ACH_TRANSFER, CHEQUE, BLAZECAPITAL, OTHER |
companyAssetList | CompanyAsset[] | No | Company Asset List |
poProductRequestList | POProductRequest[] | No | Po Product Request List |
vendorId | string | No | Vendor identifier |
receivedDate | long | No | Received timestamp (epoch ms) |
deliveredBy | string | No | Delivered By |
receivedByEmployeeId | string | No | Received By Employee identifier |
createdByEmployeeId | string | No | Created By Employee identifier |
completedByEmployeeId | string | No | Completed By Employee identifier |
poType | string | No | Po Type. One of: Normal, BackOrder (default: Normal) |
completedDate | long | No | Completed timestamp (epoch ms) |
notes | string | No | Notes |
declineReason | string | No | Decline Reason |
declineDate | long | No | Decline timestamp (epoch ms) |
totalCost | number | No | Total Cost |
amountPaid | number | No | Amount Paid |
submitForApprovalDate | long | No | Submit For Approval timestamp (epoch ms) |
archive | boolean | No | Archive (default: false) |
archiveDate | long | No | Archive timestamp (epoch ms) |
customTermDate | long | No | Custom Term timestamp (epoch ms) |
managerReceiveSignature | CompanyAsset | No | Manager Receive Signature |
reference | string | No | Reference |
qbPurchaseOrderRef | string | No | Qb Purchase Order Ref |
grandTotal | number | No | Grand Total |
totalTax | number | No | Total Tax |
totalPreCalcTax | number | No | Total Pre Calc Tax |
totalCalcTax | number | No | Total Calc Tax |
taxResult | TaxResult | No | Tax Result |
customerType | string | No | Customer Type. One of: VENDOR, CUSTOMER_COMPANY (default: VENDOR) |
deliveryAddress | string | No | Delivery Address |
deliveryTime | long | No | Delivery timestamp (epoch ms) |
deliveryDate | long | No | Delivery timestamp (epoch ms) |
termsAndCondition | string | No | Terms And Condition |
deliveryCharge | number | No | Delivery Charge |
enableDeliveryCharge | boolean | No | Enable Delivery Charge (default: false) |
poQrCodeAsset | CompanyAsset | No | Po Qr Code Asset |
poQrCodeUrl | string | No | Po Qr Code Url |
flowerSourceType | string | No | Flower Source Type. One of: CULTIVATOR_DIRECT, DISTRIBUTOR |
shipmentBillId | string | No | Shipment Bill identifier |
discount | number | No | Discount |
fees | number | No | Fees |
purchaseOrderDate | long | No | Purchase Order timestamp (epoch ms) |
dueDate | long | No | Due timestamp (epoch ms) |
licenseId | string | No | License identifier |
manualClose | boolean | No | Manual Close |
complianceManifestNumber | string | No | Compliance Manifest Number |
complianceId | string | No | Compliance identifier |
totalDiscount | number | No | Total Discount |
adjustmentInfoList | AdjustmentInfo[] | No | Adjustment Info List |
purchaseOrderPreviousStatus | string | No | Purchase Order Previous Status. One of: InProgress, ReceivingShipment, RequiredApproval, Approved, WaitingShipment, Closed, Cancel, Decline, ReceivedShipment |
assignedShipments | Shipment[] | No | Assigned Shipments |
inventoryId | string | No | Inventory identifier |
costSource | string | No | Cost Source |
{
"id": "abc123",
"companyId": "abc123",
"shopId": "abc123",
"created": 1704067200000,
"modified": 1704067200000,
"deleted": false,
"updated": false,
"displayName": "string",
"paymentType": "string",
"poNumber": "string",
"parentPOId": "abc123",
"parentPONumber": "string",
"approvedDate": 1704067200000,
"approvedBy": "string",
"approvedSignature": {
"id": "abc123",
"companyId": "abc123",
"created": 1704067200000,
"modified": 1704067200000,
"deleted": false,
"updated": false,
"name": "string",
"key": "string",
"type": {},
"publicURL": "string",
"active": false,
"priority": 0,
"secured": true,
"thumbURL": "string",
"mediumURL": "string",
"largeURL": "string",
"largeX2URL": "string",
"origURL": "string",
"platformFileUrl": "string"
},
"poPaymentTerms": "NET_30",
"purchaseOrderStatus": "InProgress",
"poPaymentOptions": "CASH",
"companyAssetList": [
{
"id": "abc123",
"companyId": "abc123",
"created": 1704067200000,
"modified": 1704067200000,
"deleted": false,
"updated": false,
"name": "string",
"key": "string",
"type": {},
"publicURL": "string",
"active": false,
"priority": 0,
"secured": true,
"thumbURL": "string",
"mediumURL": "string",
"largeURL": "string",
"largeX2URL": "string",
"origURL": "string",
"platformFileUrl": "string"
}
],
"poProductRequestList": [
{
"id": "abc123",
"companyId": "abc123",
"shopId": "abc123",
"created": 1704067200000,
"modified": 1704067200000,
"deleted": false,
"updated": false,
"categoryId": "abc123",
"categoryName": "string",
"productId": "abc123",
"productName": "string",
"requestStatus": "PENDING",
"requestQuantity": 0,
"receivedQuantity": 0,
"trackingPackagesList": [],
"notes": "string",
"unitPrice": 0,
"totalCost": 0,
"exciseTax": 0,
"totalExciseTax": 0,
"totalCultivationTax": 0,
"declineReason": "string",
"batches": [],
"batchAddDetails": [],
"discount": 0,
"finalTotalCost": 0,
"txnLineID": "string",
"qaTestResult": {}
}
],
"vendorId": "abc123",
"receivedDate": 1704067200000,
"deliveredBy": "string",
"receivedByEmployeeId": "abc123",
"createdByEmployeeId": "abc123",
"completedByEmployeeId": "abc123",
"poType": "Normal",
"completedDate": 1704067200000,
"notes": "string",
"declineReason": "string",
"declineDate": 1704067200000,
"totalCost": 0,
"amountPaid": 0,
"submitForApprovalDate": 1704067200000,
"archive": false,
"archiveDate": 1704067200000,
"customTermDate": 1704067200000,
"managerReceiveSignature": {
"id": "abc123",
"companyId": "abc123",
"created": 1704067200000,
"modified": 1704067200000,
"deleted": false,
"updated": false,
"name": "string",
"key": "string",
"type": {},
"publicURL": "string",
"active": false,
"priority": 0,
"secured": true,
"thumbURL": "string",
"mediumURL": "string",
"largeURL": "string",
"largeX2URL": "string",
"origURL": "string",
"platformFileUrl": "string"
},
"reference": "string",
"qbPurchaseOrderRef": "string",
"grandTotal": 0,
"totalTax": 0,
"totalPreCalcTax": 0,
"totalCalcTax": 0,
"taxResult": {
"id": "abc123",
"created": 1704067200000,
"modified": 1704067200000,
"deleted": false,
"updated": false,
"totalPreCalcTax": 0,
"totalPostCalcTax": 0,
"totalCityTax": 0,
"totalCountyTax": 0,
"totalStateTax": 0,
"totalFedTax": 0,
"totalCityPreTax": 0,
"totalCountyPreTax": 0,
"totalStatePreTax": 0,
"totalFedPreTax": 0,
"totalExciseTax": 0,
"totalNALPreExciseTax": 0,
"totalALExciseTax": 0,
"totalALPostExciseTax": 0,
"cultivationTaxResult": {},
"totalDeliveryFeeTax": 0,
"surchargeFeeTax": 0,
"surchargeFeeExciseTax": 0,
"totalSurchargeFeeTax": "ZERO"
},
"customerType": "VENDOR",
"deliveryAddress": "string",
"deliveryTime": 1704067200000,
"deliveryDate": 1704067200000,
"termsAndCondition": "string",
"deliveryCharge": 0,
"enableDeliveryCharge": false,
"poQrCodeAsset": {
"id": "abc123",
"companyId": "abc123",
"created": 1704067200000,
"modified": 1704067200000,
"deleted": false,
"updated": false,
"name": "string",
"key": "string",
"type": {},
"publicURL": "string",
"active": false,
"priority": 0,
"secured": true,
"thumbURL": "string",
"mediumURL": "string",
"largeURL": "string",
"largeX2URL": "string",
"origURL": "string",
"platformFileUrl": "string"
},
"poQrCodeUrl": "string",
"flowerSourceType": "CULTIVATOR_DIRECT",
"shipmentBillId": "abc123",
"discount": 0,
"fees": 0,
"purchaseOrderDate": 1704067200000,
"dueDate": 1704067200000,
"licenseId": "abc123",
"manualClose": false,
"complianceManifestNumber": "string",
"complianceId": "abc123",
"totalDiscount": 0,
"adjustmentInfoList": [
{
"adjustmentId": "abc123",
"negative": false,
"amount": "ZERO"
}
],
"purchaseOrderPreviousStatus": "InProgress",
"assignedShipments": [
{
"id": "abc123",
"companyId": "abc123",
"shopId": "abc123",
"created": 1704067200000,
"modified": 1704067200000,
"deleted": false,
"updated": false,
"shippingManifestId": "abc123",
"shippingManifestNo": "string",
"productMetrcInfo": [],
"shipperInformation": {},
"deliveryDate": 1704067200000,
"deliveryTime": 1704067200000,
"shippedDateTime": 1704067200000,
"estimatedArrival": 0,
"notes": [],
"distributorInformation": {},
"shipmentStatus": "Incoming",
"acceptedDate": 1704067200000,
"acceptedBy": "string",
"acceptedSignature": {},
"assigned": false
}
],
"inventoryId": "abc123",
"costSource": "string"
}
Get Purchase Order by id
GET /api/v1/partner/purchaseorders/{purchaseOrderId}
Retrieve a single purchase order by ID. Returns enriched data including the resolved vendor, the approving employee, line item details, and the full activity log.
Path Parameters
| Parameter | Type | Description |
|---|---|---|
purchaseOrderId | string | The purchase order i d |
Response
Returns a PurchaseOrderItemResult object.
- Fields
- JSON
| Field | Type | Required | Description |
|---|---|---|---|
id | string | No | Unique identifier |
companyId | string | No | Company identifier |
shopId | string | No | Shop identifier |
created | long | No | Created timestamp (epoch ms) |
modified | long | No | Last modified timestamp (epoch ms) |
deleted | boolean | No | Whether the record is deleted |
updated | boolean | No | Whether the record has been updated |
displayName | string | No | Display Name |
paymentType | string | No | Payment Type |
poNumber | string | No | Po Number |
parentPOId | string | No | Parent P O identifier |
parentPONumber | string | No | Parent P O Number |
approvedDate | long | No | Approved timestamp (epoch ms) |
approvedBy | string | No | Approved By |
approvedSignature | CompanyAsset | No | Approved Signature |
poPaymentTerms | string | No | Po Payment Terms. One of: NET_30, COD, NET_45, NET_60, NET_15, NET_7, CUSTOM_DATE |
purchaseOrderStatus | string | No | Purchase Order Status. One of: InProgress, ReceivingShipment, RequiredApproval, Approved, WaitingShipment, Closed, Cancel, Decline, ReceivedShipment (default: InProgress) |
poPaymentOptions | string | No | Po Payment Options. One of: CASH, CREDIT, DEBIT, COD, ACH_TRANSFER, CHEQUE, BLAZECAPITAL, OTHER |
companyAssetList | CompanyAsset[] | No | Company Asset List |
poProductRequestList | POProductRequest[] | No | Po Product Request List |
vendorId | string | No | Vendor identifier |
receivedDate | long | No | Received timestamp (epoch ms) |
deliveredBy | string | No | Delivered By |
receivedByEmployeeId | string | No | Received By Employee identifier |
createdByEmployeeId | string | No | Created By Employee identifier |
completedByEmployeeId | string | No | Completed By Employee identifier |
poType | string | No | Po Type. One of: Normal, BackOrder (default: Normal) |
completedDate | long | No | Completed timestamp (epoch ms) |
notes | string | No | Notes |
declineReason | string | No | Decline Reason |
declineDate | long | No | Decline timestamp (epoch ms) |
totalCost | number | No | Total Cost |
amountPaid | number | No | Amount Paid |
submitForApprovalDate | long | No | Submit For Approval timestamp (epoch ms) |
archive | boolean | No | Archive (default: false) |
archiveDate | long | No | Archive timestamp (epoch ms) |
customTermDate | long | No | Custom Term timestamp (epoch ms) |
managerReceiveSignature | CompanyAsset | No | Manager Receive Signature |
reference | string | No | Reference |
qbPurchaseOrderRef | string | No | Qb Purchase Order Ref |
grandTotal | number | No | Grand Total |
totalTax | number | No | Total Tax |
totalPreCalcTax | number | No | Total Pre Calc Tax |
totalCalcTax | number | No | Total Calc Tax |
taxResult | TaxResult | No | Tax Result |
customerType | string | No | Customer Type. One of: VENDOR, CUSTOMER_COMPANY (default: VENDOR) |
deliveryAddress | string | No | Delivery Address |
deliveryTime | long | No | Delivery timestamp (epoch ms) |
deliveryDate | long | No | Delivery timestamp (epoch ms) |
termsAndCondition | string | No | Terms And Condition |
deliveryCharge | number | No | Delivery Charge |
enableDeliveryCharge | boolean | No | Enable Delivery Charge (default: false) |
poQrCodeAsset | CompanyAsset | No | Po Qr Code Asset |
poQrCodeUrl | string | No | Po Qr Code Url |
flowerSourceType | string | No | Flower Source Type. One of: CULTIVATOR_DIRECT, DISTRIBUTOR |
shipmentBillId | string | No | Shipment Bill identifier |
discount | number | No | Discount |
fees | number | No | Fees |
purchaseOrderDate | long | No | Purchase Order timestamp (epoch ms) |
dueDate | long | No | Due timestamp (epoch ms) |
licenseId | string | No | License identifier |
manualClose | boolean | No | Manual Close |
complianceManifestNumber | string | No | Compliance Manifest Number |
complianceId | string | No | Compliance identifier |
totalDiscount | number | No | Total Discount |
adjustmentInfoList | AdjustmentInfo[] | No | Adjustment Info List |
purchaseOrderPreviousStatus | string | No | Purchase Order Previous Status. One of: InProgress, ReceivingShipment, RequiredApproval, Approved, WaitingShipment, Closed, Cancel, Decline, ReceivedShipment |
assignedShipments | Shipment[] | No | Assigned Shipments |
inventoryId | string | No | Inventory identifier |
costSource | string | No | Cost Source |
vendor | Vendor | No | Vendor |
approvedByMember | Employee | No | Approved By Member |
poProductRequestResultList | POProductRequestResult[] | No | Po Product Request Result List |
poActivityLog | POActivity[] | No | Po Activity Log |
companyLogo | string | No | Company Logo |
{
"id": "abc123",
"companyId": "abc123",
"shopId": "abc123",
"created": 1704067200000,
"modified": 1704067200000,
"deleted": false,
"updated": false,
"displayName": "string",
"paymentType": "string",
"poNumber": "string",
"parentPOId": "abc123",
"parentPONumber": "string",
"approvedDate": 1704067200000,
"approvedBy": "string",
"approvedSignature": {
"id": "abc123",
"companyId": "abc123",
"created": 1704067200000,
"modified": 1704067200000,
"deleted": false,
"updated": false,
"name": "string",
"key": "string",
"type": {},
"publicURL": "string",
"active": false,
"priority": 0,
"secured": true,
"thumbURL": "string",
"mediumURL": "string",
"largeURL": "string",
"largeX2URL": "string",
"origURL": "string",
"platformFileUrl": "string"
},
"poPaymentTerms": "NET_30",
"purchaseOrderStatus": "InProgress",
"poPaymentOptions": "CASH",
"companyAssetList": [
{
"id": "abc123",
"companyId": "abc123",
"created": 1704067200000,
"modified": 1704067200000,
"deleted": false,
"updated": false,
"name": "string",
"key": "string",
"type": {},
"publicURL": "string",
"active": false,
"priority": 0,
"secured": true,
"thumbURL": "string",
"mediumURL": "string",
"largeURL": "string",
"largeX2URL": "string",
"origURL": "string",
"platformFileUrl": "string"
}
],
"poProductRequestList": [
{
"id": "abc123",
"companyId": "abc123",
"shopId": "abc123",
"created": 1704067200000,
"modified": 1704067200000,
"deleted": false,
"updated": false,
"categoryId": "abc123",
"categoryName": "string",
"productId": "abc123",
"productName": "string",
"requestStatus": "PENDING",
"requestQuantity": 0,
"receivedQuantity": 0,
"trackingPackagesList": [],
"notes": "string",
"unitPrice": 0,
"totalCost": 0,
"exciseTax": 0,
"totalExciseTax": 0,
"totalCultivationTax": 0,
"declineReason": "string",
"batches": [],
"batchAddDetails": [],
"discount": 0,
"finalTotalCost": 0,
"txnLineID": "string",
"qaTestResult": {}
}
],
"vendorId": "abc123",
"receivedDate": 1704067200000,
"deliveredBy": "string",
"receivedByEmployeeId": "abc123",
"createdByEmployeeId": "abc123",
"completedByEmployeeId": "abc123",
"poType": "Normal",
"completedDate": 1704067200000,
"notes": "string",
"declineReason": "string",
"declineDate": 1704067200000,
"totalCost": 0,
"amountPaid": 0,
"submitForApprovalDate": 1704067200000,
"archive": false,
"archiveDate": 1704067200000,
"customTermDate": 1704067200000,
"managerReceiveSignature": {
"id": "abc123",
"companyId": "abc123",
"created": 1704067200000,
"modified": 1704067200000,
"deleted": false,
"updated": false,
"name": "string",
"key": "string",
"type": {},
"publicURL": "string",
"active": false,
"priority": 0,
"secured": true,
"thumbURL": "string",
"mediumURL": "string",
"largeURL": "string",
"largeX2URL": "string",
"origURL": "string",
"platformFileUrl": "string"
},
"reference": "string",
"qbPurchaseOrderRef": "string",
"grandTotal": 0,
"totalTax": 0,
"totalPreCalcTax": 0,
"totalCalcTax": 0,
"taxResult": {
"id": "abc123",
"created": 1704067200000,
"modified": 1704067200000,
"deleted": false,
"updated": false,
"totalPreCalcTax": 0,
"totalPostCalcTax": 0,
"totalCityTax": 0,
"totalCountyTax": 0,
"totalStateTax": 0,
"totalFedTax": 0,
"totalCityPreTax": 0,
"totalCountyPreTax": 0,
"totalStatePreTax": 0,
"totalFedPreTax": 0,
"totalExciseTax": 0,
"totalNALPreExciseTax": 0,
"totalALExciseTax": 0,
"totalALPostExciseTax": 0,
"cultivationTaxResult": {},
"totalDeliveryFeeTax": 0,
"surchargeFeeTax": 0,
"surchargeFeeExciseTax": 0,
"totalSurchargeFeeTax": "ZERO"
},
"customerType": "VENDOR",
"deliveryAddress": "string",
"deliveryTime": 1704067200000,
"deliveryDate": 1704067200000,
"termsAndCondition": "string",
"deliveryCharge": 0,
"enableDeliveryCharge": false,
"poQrCodeAsset": {
"id": "abc123",
"companyId": "abc123",
"created": 1704067200000,
"modified": 1704067200000,
"deleted": false,
"updated": false,
"name": "string",
"key": "string",
"type": {},
"publicURL": "string",
"active": false,
"priority": 0,
"secured": true,
"thumbURL": "string",
"mediumURL": "string",
"largeURL": "string",
"largeX2URL": "string",
"origURL": "string",
"platformFileUrl": "string"
},
"poQrCodeUrl": "string",
"flowerSourceType": "CULTIVATOR_DIRECT",
"shipmentBillId": "abc123",
"discount": 0,
"fees": 0,
"purchaseOrderDate": 1704067200000,
"dueDate": 1704067200000,
"licenseId": "abc123",
"manualClose": false,
"complianceManifestNumber": "string",
"complianceId": "abc123",
"totalDiscount": 0,
"adjustmentInfoList": [
{
"adjustmentId": "abc123",
"negative": false,
"amount": "ZERO"
}
],
"purchaseOrderPreviousStatus": "InProgress",
"assignedShipments": [
{
"id": "abc123",
"companyId": "abc123",
"shopId": "abc123",
"created": 1704067200000,
"modified": 1704067200000,
"deleted": false,
"updated": false,
"shippingManifestId": "abc123",
"shippingManifestNo": "string",
"productMetrcInfo": [],
"shipperInformation": {},
"deliveryDate": 1704067200000,
"deliveryTime": 1704067200000,
"shippedDateTime": 1704067200000,
"estimatedArrival": 0,
"notes": [],
"distributorInformation": {},
"shipmentStatus": "Incoming",
"acceptedDate": 1704067200000,
"acceptedBy": "string",
"acceptedSignature": {},
"assigned": false
}
],
"inventoryId": "abc123",
"costSource": "string",
"vendor": {
"id": "abc123",
"companyId": "abc123",
"created": 1704067200000,
"modified": 1704067200000,
"deleted": false,
"updated": false,
"importId": "abc123",
"active": true,
"name": "string",
"phone": "555-0100",
"email": "user@example.com",
"fax": "string",
"address": {},
"description": "string",
"website": "https://example.com",
"firstName": "John",
"lastName": "Doe",
"notes": [],
"licenseNumber": "string",
"assets": [],
"backOrderEnabled": false,
"licenseExpirationDate": 1704067200000,
"armsLengthType": "NON_ARMS_LENGTH",
"brands": [],
"additionalAddressList": [],
"credits": 0,
"mobileNumber": "555-0100",
"relatedEntity": false,
"vendorType": "VENDOR",
"dbaName": "string",
"companyLicenses": [],
"createdBy": "string",
"accountOwnerId": "abc123",
"defaultPaymentTerm": "string",
"salesPerson": "string",
"contactPerson": "string",
"defaultContactId": "abc123",
"externalId": "abc123",
"toDefault": false,
"connectedShop": "string",
"isGiftCard": false,
"platformVendorId": "abc123"
},
"approvedByMember": {
"id": "abc123",
"companyId": "abc123",
"created": 1704067200000,
"modified": 1704067200000,
"deleted": false,
"updated": false,
"authUserId": "abc123",
"firstName": "John",
"lastName": "Doe",
"pin": "string",
"roleId": "abc123",
"email": "user@example.com",
"password": "string",
"driversLicense": "string",
"occupationLicenseNumber": "string",
"dlExpirationDate": "string",
"vehicleMake": "string",
"notes": [],
"shops": [],
"disabled": false,
"phoneNumber": "string",
"assignedInventoryId": "abc123",
"assignedTerminalId": "abc123",
"address": {},
"timecardId": "abc123",
"timeCard": {},
"role": {},
"canApplyCustomDiscount": true,
"insuranceExpireDate": 1704067200000,
"insuranceCompanyName": "string",
"policyNumber": "string",
"registrationExpireDate": 1704067200000,
"vehiclePin": "string",
"vinNo": "string",
"vehicleModel": "string",
"vehicleLicensePlate": "string",
"tripId": "abc123",
"recentLocation": "null",
"employeeOnFleetInfoList": [],
"tookanInfoList": [],
"lastLoggedInShopId": "abc123",
"lastLoginTime": 1704067200000,
"driver": false,
"externalId": "abc123",
"organizationIds": [],
"yellowfinRoleCode": {},
"defaultVehicleId": "abc123",
"biotrack": false,
"biotrackTransId": "abc123",
"biotrackTransIdOriginal": "string",
"birthDate": 1704067200000,
"hireDate": 1704067200000,
"sessionTime": 1704067200000,
"lastPasswordChangedOn": 0,
"packer": false,
"internal": false,
"isBlazeAdmin": false,
"importId": "abc123",
"metrcRetailerDeliveryId": 0,
"platformUserId": "abc123",
"platformCognitoId": "abc123",
"isSuperAdmin": false
},
"poProductRequestResultList": [
{
"id": "abc123",
"companyId": "abc123",
"shopId": "abc123",
"created": 1704067200000,
"modified": 1704067200000,
"deleted": false,
"updated": false,
"categoryId": "abc123",
"categoryName": "string",
"productId": "abc123",
"productName": "string",
"requestStatus": "PENDING",
"requestQuantity": 0,
"receivedQuantity": 0,
"trackingPackagesList": [],
"notes": "string",
"unitPrice": 0,
"totalCost": 0,
"exciseTax": 0,
"totalExciseTax": 0,
"totalCultivationTax": 0,
"declineReason": "string",
"batches": [],
"batchAddDetails": [],
"discount": 0,
"finalTotalCost": 0,
"txnLineID": "string",
"qaTestResult": {},
"product": {},
"cannabis": false,
"bundleItems": []
}
],
"poActivityLog": [
{
"id": "abc123",
"companyId": "abc123",
"shopId": "abc123",
"created": 1704067200000,
"modified": 1704067200000,
"deleted": false,
"updated": false,
"purchaseOrderId": "abc123",
"employeeId": "abc123",
"log": "string",
"activityType": "NORMAL_LOG"
}
],
"companyLogo": "string"
}
Get purchase order list
GET /api/v1/partner/purchaseorders/list
Retrieve a paginated list of purchase orders filtered by creation/modification date. Dates must be in MM/dd/yyyy format and are interpreted in the shop's timezone. Results are capped at 200 per page.
Query Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
startDate | string | No | Start date filter |
endDate | string | No | End date filter |
start | integer | No | Number of records to skip |
limit | integer | No | Maximum records to return |
Response
Returns a paginated SearchResult of PurchaseOrderItemResult objects.
- Fields
- JSON
| Field | Type | Required | Description |
|---|---|---|---|
id | string | No | Unique identifier |
companyId | string | No | Company identifier |
shopId | string | No | Shop identifier |
created | long | No | Created timestamp (epoch ms) |
modified | long | No | Last modified timestamp (epoch ms) |
deleted | boolean | No | Whether the record is deleted |
updated | boolean | No | Whether the record has been updated |
displayName | string | No | Display Name |
paymentType | string | No | Payment Type |
poNumber | string | No | Po Number |
parentPOId | string | No | Parent P O identifier |
parentPONumber | string | No | Parent P O Number |
approvedDate | long | No | Approved timestamp (epoch ms) |
approvedBy | string | No | Approved By |
approvedSignature | CompanyAsset | No | Approved Signature |
poPaymentTerms | string | No | Po Payment Terms. One of: NET_30, COD, NET_45, NET_60, NET_15, NET_7, CUSTOM_DATE |
purchaseOrderStatus | string | No | Purchase Order Status. One of: InProgress, ReceivingShipment, RequiredApproval, Approved, WaitingShipment, Closed, Cancel, Decline, ReceivedShipment (default: InProgress) |
poPaymentOptions | string | No | Po Payment Options. One of: CASH, CREDIT, DEBIT, COD, ACH_TRANSFER, CHEQUE, BLAZECAPITAL, OTHER |
companyAssetList | CompanyAsset[] | No | Company Asset List |
poProductRequestList | POProductRequest[] | No | Po Product Request List |
vendorId | string | No | Vendor identifier |
receivedDate | long | No | Received timestamp (epoch ms) |
deliveredBy | string | No | Delivered By |
receivedByEmployeeId | string | No | Received By Employee identifier |
createdByEmployeeId | string | No | Created By Employee identifier |
completedByEmployeeId | string | No | Completed By Employee identifier |
poType | string | No | Po Type. One of: Normal, BackOrder (default: Normal) |
completedDate | long | No | Completed timestamp (epoch ms) |
notes | string | No | Notes |
declineReason | string | No | Decline Reason |
declineDate | long | No | Decline timestamp (epoch ms) |
totalCost | number | No | Total Cost |
amountPaid | number | No | Amount Paid |
submitForApprovalDate | long | No | Submit For Approval timestamp (epoch ms) |
archive | boolean | No | Archive (default: false) |
archiveDate | long | No | Archive timestamp (epoch ms) |
customTermDate | long | No | Custom Term timestamp (epoch ms) |
managerReceiveSignature | CompanyAsset | No | Manager Receive Signature |
reference | string | No | Reference |
qbPurchaseOrderRef | string | No | Qb Purchase Order Ref |
grandTotal | number | No | Grand Total |
totalTax | number | No | Total Tax |
totalPreCalcTax | number | No | Total Pre Calc Tax |
totalCalcTax | number | No | Total Calc Tax |
taxResult | TaxResult | No | Tax Result |
customerType | string | No | Customer Type. One of: VENDOR, CUSTOMER_COMPANY (default: VENDOR) |
deliveryAddress | string | No | Delivery Address |
deliveryTime | long | No | Delivery timestamp (epoch ms) |
deliveryDate | long | No | Delivery timestamp (epoch ms) |
termsAndCondition | string | No | Terms And Condition |
deliveryCharge | number | No | Delivery Charge |
enableDeliveryCharge | boolean | No | Enable Delivery Charge (default: false) |
poQrCodeAsset | CompanyAsset | No | Po Qr Code Asset |
poQrCodeUrl | string | No | Po Qr Code Url |
flowerSourceType | string | No | Flower Source Type. One of: CULTIVATOR_DIRECT, DISTRIBUTOR |
shipmentBillId | string | No | Shipment Bill identifier |
discount | number | No | Discount |
fees | number | No | Fees |
purchaseOrderDate | long | No | Purchase Order timestamp (epoch ms) |
dueDate | long | No | Due timestamp (epoch ms) |
licenseId | string | No | License identifier |
manualClose | boolean | No | Manual Close |
complianceManifestNumber | string | No | Compliance Manifest Number |
complianceId | string | No | Compliance identifier |
totalDiscount | number | No | Total Discount |
adjustmentInfoList | AdjustmentInfo[] | No | Adjustment Info List |
purchaseOrderPreviousStatus | string | No | Purchase Order Previous Status. One of: InProgress, ReceivingShipment, RequiredApproval, Approved, WaitingShipment, Closed, Cancel, Decline, ReceivedShipment |
assignedShipments | Shipment[] | No | Assigned Shipments |
inventoryId | string | No | Inventory identifier |
costSource | string | No | Cost Source |
vendor | Vendor | No | Vendor |
approvedByMember | Employee | No | Approved By Member |
poProductRequestResultList | POProductRequestResult[] | No | Po Product Request Result List |
poActivityLog | POActivity[] | No | Po Activity Log |
companyLogo | string | No | Company Logo |
{
"id": "abc123",
"companyId": "abc123",
"shopId": "abc123",
"created": 1704067200000,
"modified": 1704067200000,
"deleted": false,
"updated": false,
"displayName": "string",
"paymentType": "string",
"poNumber": "string",
"parentPOId": "abc123",
"parentPONumber": "string",
"approvedDate": 1704067200000,
"approvedBy": "string",
"approvedSignature": {
"id": "abc123",
"companyId": "abc123",
"created": 1704067200000,
"modified": 1704067200000,
"deleted": false,
"updated": false,
"name": "string",
"key": "string",
"type": {},
"publicURL": "string",
"active": false,
"priority": 0,
"secured": true,
"thumbURL": "string",
"mediumURL": "string",
"largeURL": "string",
"largeX2URL": "string",
"origURL": "string",
"platformFileUrl": "string"
},
"poPaymentTerms": "NET_30",
"purchaseOrderStatus": "InProgress",
"poPaymentOptions": "CASH",
"companyAssetList": [
{
"id": "abc123",
"companyId": "abc123",
"created": 1704067200000,
"modified": 1704067200000,
"deleted": false,
"updated": false,
"name": "string",
"key": "string",
"type": {},
"publicURL": "string",
"active": false,
"priority": 0,
"secured": true,
"thumbURL": "string",
"mediumURL": "string",
"largeURL": "string",
"largeX2URL": "string",
"origURL": "string",
"platformFileUrl": "string"
}
],
"poProductRequestList": [
{
"id": "abc123",
"companyId": "abc123",
"shopId": "abc123",
"created": 1704067200000,
"modified": 1704067200000,
"deleted": false,
"updated": false,
"categoryId": "abc123",
"categoryName": "string",
"productId": "abc123",
"productName": "string",
"requestStatus": "PENDING",
"requestQuantity": 0,
"receivedQuantity": 0,
"trackingPackagesList": [],
"notes": "string",
"unitPrice": 0,
"totalCost": 0,
"exciseTax": 0,
"totalExciseTax": 0,
"totalCultivationTax": 0,
"declineReason": "string",
"batches": [],
"batchAddDetails": [],
"discount": 0,
"finalTotalCost": 0,
"txnLineID": "string",
"qaTestResult": {}
}
],
"vendorId": "abc123",
"receivedDate": 1704067200000,
"deliveredBy": "string",
"receivedByEmployeeId": "abc123",
"createdByEmployeeId": "abc123",
"completedByEmployeeId": "abc123",
"poType": "Normal",
"completedDate": 1704067200000,
"notes": "string",
"declineReason": "string",
"declineDate": 1704067200000,
"totalCost": 0,
"amountPaid": 0,
"submitForApprovalDate": 1704067200000,
"archive": false,
"archiveDate": 1704067200000,
"customTermDate": 1704067200000,
"managerReceiveSignature": {
"id": "abc123",
"companyId": "abc123",
"created": 1704067200000,
"modified": 1704067200000,
"deleted": false,
"updated": false,
"name": "string",
"key": "string",
"type": {},
"publicURL": "string",
"active": false,
"priority": 0,
"secured": true,
"thumbURL": "string",
"mediumURL": "string",
"largeURL": "string",
"largeX2URL": "string",
"origURL": "string",
"platformFileUrl": "string"
},
"reference": "string",
"qbPurchaseOrderRef": "string",
"grandTotal": 0,
"totalTax": 0,
"totalPreCalcTax": 0,
"totalCalcTax": 0,
"taxResult": {
"id": "abc123",
"created": 1704067200000,
"modified": 1704067200000,
"deleted": false,
"updated": false,
"totalPreCalcTax": 0,
"totalPostCalcTax": 0,
"totalCityTax": 0,
"totalCountyTax": 0,
"totalStateTax": 0,
"totalFedTax": 0,
"totalCityPreTax": 0,
"totalCountyPreTax": 0,
"totalStatePreTax": 0,
"totalFedPreTax": 0,
"totalExciseTax": 0,
"totalNALPreExciseTax": 0,
"totalALExciseTax": 0,
"totalALPostExciseTax": 0,
"cultivationTaxResult": {},
"totalDeliveryFeeTax": 0,
"surchargeFeeTax": 0,
"surchargeFeeExciseTax": 0,
"totalSurchargeFeeTax": "ZERO"
},
"customerType": "VENDOR",
"deliveryAddress": "string",
"deliveryTime": 1704067200000,
"deliveryDate": 1704067200000,
"termsAndCondition": "string",
"deliveryCharge": 0,
"enableDeliveryCharge": false,
"poQrCodeAsset": {
"id": "abc123",
"companyId": "abc123",
"created": 1704067200000,
"modified": 1704067200000,
"deleted": false,
"updated": false,
"name": "string",
"key": "string",
"type": {},
"publicURL": "string",
"active": false,
"priority": 0,
"secured": true,
"thumbURL": "string",
"mediumURL": "string",
"largeURL": "string",
"largeX2URL": "string",
"origURL": "string",
"platformFileUrl": "string"
},
"poQrCodeUrl": "string",
"flowerSourceType": "CULTIVATOR_DIRECT",
"shipmentBillId": "abc123",
"discount": 0,
"fees": 0,
"purchaseOrderDate": 1704067200000,
"dueDate": 1704067200000,
"licenseId": "abc123",
"manualClose": false,
"complianceManifestNumber": "string",
"complianceId": "abc123",
"totalDiscount": 0,
"adjustmentInfoList": [
{
"adjustmentId": "abc123",
"negative": false,
"amount": "ZERO"
}
],
"purchaseOrderPreviousStatus": "InProgress",
"assignedShipments": [
{
"id": "abc123",
"companyId": "abc123",
"shopId": "abc123",
"created": 1704067200000,
"modified": 1704067200000,
"deleted": false,
"updated": false,
"shippingManifestId": "abc123",
"shippingManifestNo": "string",
"productMetrcInfo": [],
"shipperInformation": {},
"deliveryDate": 1704067200000,
"deliveryTime": 1704067200000,
"shippedDateTime": 1704067200000,
"estimatedArrival": 0,
"notes": [],
"distributorInformation": {},
"shipmentStatus": "Incoming",
"acceptedDate": 1704067200000,
"acceptedBy": "string",
"acceptedSignature": {},
"assigned": false
}
],
"inventoryId": "abc123",
"costSource": "string",
"vendor": {
"id": "abc123",
"companyId": "abc123",
"created": 1704067200000,
"modified": 1704067200000,
"deleted": false,
"updated": false,
"importId": "abc123",
"active": true,
"name": "string",
"phone": "555-0100",
"email": "user@example.com",
"fax": "string",
"address": {},
"description": "string",
"website": "https://example.com",
"firstName": "John",
"lastName": "Doe",
"notes": [],
"licenseNumber": "string",
"assets": [],
"backOrderEnabled": false,
"licenseExpirationDate": 1704067200000,
"armsLengthType": "NON_ARMS_LENGTH",
"brands": [],
"additionalAddressList": [],
"credits": 0,
"mobileNumber": "555-0100",
"relatedEntity": false,
"vendorType": "VENDOR",
"dbaName": "string",
"companyLicenses": [],
"createdBy": "string",
"accountOwnerId": "abc123",
"defaultPaymentTerm": "string",
"salesPerson": "string",
"contactPerson": "string",
"defaultContactId": "abc123",
"externalId": "abc123",
"toDefault": false,
"connectedShop": "string",
"isGiftCard": false,
"platformVendorId": "abc123"
},
"approvedByMember": {
"id": "abc123",
"companyId": "abc123",
"created": 1704067200000,
"modified": 1704067200000,
"deleted": false,
"updated": false,
"authUserId": "abc123",
"firstName": "John",
"lastName": "Doe",
"pin": "string",
"roleId": "abc123",
"email": "user@example.com",
"password": "string",
"driversLicense": "string",
"occupationLicenseNumber": "string",
"dlExpirationDate": "string",
"vehicleMake": "string",
"notes": [],
"shops": [],
"disabled": false,
"phoneNumber": "string",
"assignedInventoryId": "abc123",
"assignedTerminalId": "abc123",
"address": {},
"timecardId": "abc123",
"timeCard": {},
"role": {},
"canApplyCustomDiscount": true,
"insuranceExpireDate": 1704067200000,
"insuranceCompanyName": "string",
"policyNumber": "string",
"registrationExpireDate": 1704067200000,
"vehiclePin": "string",
"vinNo": "string",
"vehicleModel": "string",
"vehicleLicensePlate": "string",
"tripId": "abc123",
"recentLocation": "null",
"employeeOnFleetInfoList": [],
"tookanInfoList": [],
"lastLoggedInShopId": "abc123",
"lastLoginTime": 1704067200000,
"driver": false,
"externalId": "abc123",
"organizationIds": [],
"yellowfinRoleCode": {},
"defaultVehicleId": "abc123",
"biotrack": false,
"biotrackTransId": "abc123",
"biotrackTransIdOriginal": "string",
"birthDate": 1704067200000,
"hireDate": 1704067200000,
"sessionTime": 1704067200000,
"lastPasswordChangedOn": 0,
"packer": false,
"internal": false,
"isBlazeAdmin": false,
"importId": "abc123",
"metrcRetailerDeliveryId": 0,
"platformUserId": "abc123",
"platformCognitoId": "abc123",
"isSuperAdmin": false
},
"poProductRequestResultList": [
{
"id": "abc123",
"companyId": "abc123",
"shopId": "abc123",
"created": 1704067200000,
"modified": 1704067200000,
"deleted": false,
"updated": false,
"categoryId": "abc123",
"categoryName": "string",
"productId": "abc123",
"productName": "string",
"requestStatus": "PENDING",
"requestQuantity": 0,
"receivedQuantity": 0,
"trackingPackagesList": [],
"notes": "string",
"unitPrice": 0,
"totalCost": 0,
"exciseTax": 0,
"totalExciseTax": 0,
"totalCultivationTax": 0,
"declineReason": "string",
"batches": [],
"batchAddDetails": [],
"discount": 0,
"finalTotalCost": 0,
"txnLineID": "string",
"qaTestResult": {},
"product": {},
"cannabis": false,
"bundleItems": []
}
],
"poActivityLog": [
{
"id": "abc123",
"companyId": "abc123",
"shopId": "abc123",
"created": 1704067200000,
"modified": 1704067200000,
"deleted": false,
"updated": false,
"purchaseOrderId": "abc123",
"employeeId": "abc123",
"log": "string",
"activityType": "NORMAL_LOG"
}
],
"companyLogo": "string"
}
Get purchase order list
GET /api/v1/partner/purchaseorders/dates
Retrieve a paginated list of purchase orders filtered by their purchase order date (as opposed to /list which filters by record date). Same date format (MM/dd/yyyy), timezone handling, and 200-record limit apply.
Query Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
startDate | string | No | Start date filter |
endDate | string | No | End date filter |
start | integer | No | Number of records to skip |
limit | integer | No | Maximum records to return |
Response
Returns a paginated SearchResult of PurchaseOrderItemResult objects.
- Fields
- JSON
| Field | Type | Required | Description |
|---|---|---|---|
id | string | No | Unique identifier |
companyId | string | No | Company identifier |
shopId | string | No | Shop identifier |
created | long | No | Created timestamp (epoch ms) |
modified | long | No | Last modified timestamp (epoch ms) |
deleted | boolean | No | Whether the record is deleted |
updated | boolean | No | Whether the record has been updated |
displayName | string | No | Display Name |
paymentType | string | No | Payment Type |
poNumber | string | No | Po Number |
parentPOId | string | No | Parent P O identifier |
parentPONumber | string | No | Parent P O Number |
approvedDate | long | No | Approved timestamp (epoch ms) |
approvedBy | string | No | Approved By |
approvedSignature | CompanyAsset | No | Approved Signature |
poPaymentTerms | string | No | Po Payment Terms. One of: NET_30, COD, NET_45, NET_60, NET_15, NET_7, CUSTOM_DATE |
purchaseOrderStatus | string | No | Purchase Order Status. One of: InProgress, ReceivingShipment, RequiredApproval, Approved, WaitingShipment, Closed, Cancel, Decline, ReceivedShipment (default: InProgress) |
poPaymentOptions | string | No | Po Payment Options. One of: CASH, CREDIT, DEBIT, COD, ACH_TRANSFER, CHEQUE, BLAZECAPITAL, OTHER |
companyAssetList | CompanyAsset[] | No | Company Asset List |
poProductRequestList | POProductRequest[] | No | Po Product Request List |
vendorId | string | No | Vendor identifier |
receivedDate | long | No | Received timestamp (epoch ms) |
deliveredBy | string | No | Delivered By |
receivedByEmployeeId | string | No | Received By Employee identifier |
createdByEmployeeId | string | No | Created By Employee identifier |
completedByEmployeeId | string | No | Completed By Employee identifier |
poType | string | No | Po Type. One of: Normal, BackOrder (default: Normal) |
completedDate | long | No | Completed timestamp (epoch ms) |
notes | string | No | Notes |
declineReason | string | No | Decline Reason |
declineDate | long | No | Decline timestamp (epoch ms) |
totalCost | number | No | Total Cost |
amountPaid | number | No | Amount Paid |
submitForApprovalDate | long | No | Submit For Approval timestamp (epoch ms) |
archive | boolean | No | Archive (default: false) |
archiveDate | long | No | Archive timestamp (epoch ms) |
customTermDate | long | No | Custom Term timestamp (epoch ms) |
managerReceiveSignature | CompanyAsset | No | Manager Receive Signature |
reference | string | No | Reference |
qbPurchaseOrderRef | string | No | Qb Purchase Order Ref |
grandTotal | number | No | Grand Total |
totalTax | number | No | Total Tax |
totalPreCalcTax | number | No | Total Pre Calc Tax |
totalCalcTax | number | No | Total Calc Tax |
taxResult | TaxResult | No | Tax Result |
customerType | string | No | Customer Type. One of: VENDOR, CUSTOMER_COMPANY (default: VENDOR) |
deliveryAddress | string | No | Delivery Address |
deliveryTime | long | No | Delivery timestamp (epoch ms) |
deliveryDate | long | No | Delivery timestamp (epoch ms) |
termsAndCondition | string | No | Terms And Condition |
deliveryCharge | number | No | Delivery Charge |
enableDeliveryCharge | boolean | No | Enable Delivery Charge (default: false) |
poQrCodeAsset | CompanyAsset | No | Po Qr Code Asset |
poQrCodeUrl | string | No | Po Qr Code Url |
flowerSourceType | string | No | Flower Source Type. One of: CULTIVATOR_DIRECT, DISTRIBUTOR |
shipmentBillId | string | No | Shipment Bill identifier |
discount | number | No | Discount |
fees | number | No | Fees |
purchaseOrderDate | long | No | Purchase Order timestamp (epoch ms) |
dueDate | long | No | Due timestamp (epoch ms) |
licenseId | string | No | License identifier |
manualClose | boolean | No | Manual Close |
complianceManifestNumber | string | No | Compliance Manifest Number |
complianceId | string | No | Compliance identifier |
totalDiscount | number | No | Total Discount |
adjustmentInfoList | AdjustmentInfo[] | No | Adjustment Info List |
purchaseOrderPreviousStatus | string | No | Purchase Order Previous Status. One of: InProgress, ReceivingShipment, RequiredApproval, Approved, WaitingShipment, Closed, Cancel, Decline, ReceivedShipment |
assignedShipments | Shipment[] | No | Assigned Shipments |
inventoryId | string | No | Inventory identifier |
costSource | string | No | Cost Source |
vendor | Vendor | No | Vendor |
approvedByMember | Employee | No | Approved By Member |
poProductRequestResultList | POProductRequestResult[] | No | Po Product Request Result List |
poActivityLog | POActivity[] | No | Po Activity Log |
companyLogo | string | No | Company Logo |
{
"id": "abc123",
"companyId": "abc123",
"shopId": "abc123",
"created": 1704067200000,
"modified": 1704067200000,
"deleted": false,
"updated": false,
"displayName": "string",
"paymentType": "string",
"poNumber": "string",
"parentPOId": "abc123",
"parentPONumber": "string",
"approvedDate": 1704067200000,
"approvedBy": "string",
"approvedSignature": {
"id": "abc123",
"companyId": "abc123",
"created": 1704067200000,
"modified": 1704067200000,
"deleted": false,
"updated": false,
"name": "string",
"key": "string",
"type": {},
"publicURL": "string",
"active": false,
"priority": 0,
"secured": true,
"thumbURL": "string",
"mediumURL": "string",
"largeURL": "string",
"largeX2URL": "string",
"origURL": "string",
"platformFileUrl": "string"
},
"poPaymentTerms": "NET_30",
"purchaseOrderStatus": "InProgress",
"poPaymentOptions": "CASH",
"companyAssetList": [
{
"id": "abc123",
"companyId": "abc123",
"created": 1704067200000,
"modified": 1704067200000,
"deleted": false,
"updated": false,
"name": "string",
"key": "string",
"type": {},
"publicURL": "string",
"active": false,
"priority": 0,
"secured": true,
"thumbURL": "string",
"mediumURL": "string",
"largeURL": "string",
"largeX2URL": "string",
"origURL": "string",
"platformFileUrl": "string"
}
],
"poProductRequestList": [
{
"id": "abc123",
"companyId": "abc123",
"shopId": "abc123",
"created": 1704067200000,
"modified": 1704067200000,
"deleted": false,
"updated": false,
"categoryId": "abc123",
"categoryName": "string",
"productId": "abc123",
"productName": "string",
"requestStatus": "PENDING",
"requestQuantity": 0,
"receivedQuantity": 0,
"trackingPackagesList": [],
"notes": "string",
"unitPrice": 0,
"totalCost": 0,
"exciseTax": 0,
"totalExciseTax": 0,
"totalCultivationTax": 0,
"declineReason": "string",
"batches": [],
"batchAddDetails": [],
"discount": 0,
"finalTotalCost": 0,
"txnLineID": "string",
"qaTestResult": {}
}
],
"vendorId": "abc123",
"receivedDate": 1704067200000,
"deliveredBy": "string",
"receivedByEmployeeId": "abc123",
"createdByEmployeeId": "abc123",
"completedByEmployeeId": "abc123",
"poType": "Normal",
"completedDate": 1704067200000,
"notes": "string",
"declineReason": "string",
"declineDate": 1704067200000,
"totalCost": 0,
"amountPaid": 0,
"submitForApprovalDate": 1704067200000,
"archive": false,
"archiveDate": 1704067200000,
"customTermDate": 1704067200000,
"managerReceiveSignature": {
"id": "abc123",
"companyId": "abc123",
"created": 1704067200000,
"modified": 1704067200000,
"deleted": false,
"updated": false,
"name": "string",
"key": "string",
"type": {},
"publicURL": "string",
"active": false,
"priority": 0,
"secured": true,
"thumbURL": "string",
"mediumURL": "string",
"largeURL": "string",
"largeX2URL": "string",
"origURL": "string",
"platformFileUrl": "string"
},
"reference": "string",
"qbPurchaseOrderRef": "string",
"grandTotal": 0,
"totalTax": 0,
"totalPreCalcTax": 0,
"totalCalcTax": 0,
"taxResult": {
"id": "abc123",
"created": 1704067200000,
"modified": 1704067200000,
"deleted": false,
"updated": false,
"totalPreCalcTax": 0,
"totalPostCalcTax": 0,
"totalCityTax": 0,
"totalCountyTax": 0,
"totalStateTax": 0,
"totalFedTax": 0,
"totalCityPreTax": 0,
"totalCountyPreTax": 0,
"totalStatePreTax": 0,
"totalFedPreTax": 0,
"totalExciseTax": 0,
"totalNALPreExciseTax": 0,
"totalALExciseTax": 0,
"totalALPostExciseTax": 0,
"cultivationTaxResult": {},
"totalDeliveryFeeTax": 0,
"surchargeFeeTax": 0,
"surchargeFeeExciseTax": 0,
"totalSurchargeFeeTax": "ZERO"
},
"customerType": "VENDOR",
"deliveryAddress": "string",
"deliveryTime": 1704067200000,
"deliveryDate": 1704067200000,
"termsAndCondition": "string",
"deliveryCharge": 0,
"enableDeliveryCharge": false,
"poQrCodeAsset": {
"id": "abc123",
"companyId": "abc123",
"created": 1704067200000,
"modified": 1704067200000,
"deleted": false,
"updated": false,
"name": "string",
"key": "string",
"type": {},
"publicURL": "string",
"active": false,
"priority": 0,
"secured": true,
"thumbURL": "string",
"mediumURL": "string",
"largeURL": "string",
"largeX2URL": "string",
"origURL": "string",
"platformFileUrl": "string"
},
"poQrCodeUrl": "string",
"flowerSourceType": "CULTIVATOR_DIRECT",
"shipmentBillId": "abc123",
"discount": 0,
"fees": 0,
"purchaseOrderDate": 1704067200000,
"dueDate": 1704067200000,
"licenseId": "abc123",
"manualClose": false,
"complianceManifestNumber": "string",
"complianceId": "abc123",
"totalDiscount": 0,
"adjustmentInfoList": [
{
"adjustmentId": "abc123",
"negative": false,
"amount": "ZERO"
}
],
"purchaseOrderPreviousStatus": "InProgress",
"assignedShipments": [
{
"id": "abc123",
"companyId": "abc123",
"shopId": "abc123",
"created": 1704067200000,
"modified": 1704067200000,
"deleted": false,
"updated": false,
"shippingManifestId": "abc123",
"shippingManifestNo": "string",
"productMetrcInfo": [],
"shipperInformation": {},
"deliveryDate": 1704067200000,
"deliveryTime": 1704067200000,
"shippedDateTime": 1704067200000,
"estimatedArrival": 0,
"notes": [],
"distributorInformation": {},
"shipmentStatus": "Incoming",
"acceptedDate": 1704067200000,
"acceptedBy": "string",
"acceptedSignature": {},
"assigned": false
}
],
"inventoryId": "abc123",
"costSource": "string",
"vendor": {
"id": "abc123",
"companyId": "abc123",
"created": 1704067200000,
"modified": 1704067200000,
"deleted": false,
"updated": false,
"importId": "abc123",
"active": true,
"name": "string",
"phone": "555-0100",
"email": "user@example.com",
"fax": "string",
"address": {},
"description": "string",
"website": "https://example.com",
"firstName": "John",
"lastName": "Doe",
"notes": [],
"licenseNumber": "string",
"assets": [],
"backOrderEnabled": false,
"licenseExpirationDate": 1704067200000,
"armsLengthType": "NON_ARMS_LENGTH",
"brands": [],
"additionalAddressList": [],
"credits": 0,
"mobileNumber": "555-0100",
"relatedEntity": false,
"vendorType": "VENDOR",
"dbaName": "string",
"companyLicenses": [],
"createdBy": "string",
"accountOwnerId": "abc123",
"defaultPaymentTerm": "string",
"salesPerson": "string",
"contactPerson": "string",
"defaultContactId": "abc123",
"externalId": "abc123",
"toDefault": false,
"connectedShop": "string",
"isGiftCard": false,
"platformVendorId": "abc123"
},
"approvedByMember": {
"id": "abc123",
"companyId": "abc123",
"created": 1704067200000,
"modified": 1704067200000,
"deleted": false,
"updated": false,
"authUserId": "abc123",
"firstName": "John",
"lastName": "Doe",
"pin": "string",
"roleId": "abc123",
"email": "user@example.com",
"password": "string",
"driversLicense": "string",
"occupationLicenseNumber": "string",
"dlExpirationDate": "string",
"vehicleMake": "string",
"notes": [],
"shops": [],
"disabled": false,
"phoneNumber": "string",
"assignedInventoryId": "abc123",
"assignedTerminalId": "abc123",
"address": {},
"timecardId": "abc123",
"timeCard": {},
"role": {},
"canApplyCustomDiscount": true,
"insuranceExpireDate": 1704067200000,
"insuranceCompanyName": "string",
"policyNumber": "string",
"registrationExpireDate": 1704067200000,
"vehiclePin": "string",
"vinNo": "string",
"vehicleModel": "string",
"vehicleLicensePlate": "string",
"tripId": "abc123",
"recentLocation": "null",
"employeeOnFleetInfoList": [],
"tookanInfoList": [],
"lastLoggedInShopId": "abc123",
"lastLoginTime": 1704067200000,
"driver": false,
"externalId": "abc123",
"organizationIds": [],
"yellowfinRoleCode": {},
"defaultVehicleId": "abc123",
"biotrack": false,
"biotrackTransId": "abc123",
"biotrackTransIdOriginal": "string",
"birthDate": 1704067200000,
"hireDate": 1704067200000,
"sessionTime": 1704067200000,
"lastPasswordChangedOn": 0,
"packer": false,
"internal": false,
"isBlazeAdmin": false,
"importId": "abc123",
"metrcRetailerDeliveryId": 0,
"platformUserId": "abc123",
"platformCognitoId": "abc123",
"isSuperAdmin": false
},
"poProductRequestResultList": [
{
"id": "abc123",
"companyId": "abc123",
"shopId": "abc123",
"created": 1704067200000,
"modified": 1704067200000,
"deleted": false,
"updated": false,
"categoryId": "abc123",
"categoryName": "string",
"productId": "abc123",
"productName": "string",
"requestStatus": "PENDING",
"requestQuantity": 0,
"receivedQuantity": 0,
"trackingPackagesList": [],
"notes": "string",
"unitPrice": 0,
"totalCost": 0,
"exciseTax": 0,
"totalExciseTax": 0,
"totalCultivationTax": 0,
"declineReason": "string",
"batches": [],
"batchAddDetails": [],
"discount": 0,
"finalTotalCost": 0,
"txnLineID": "string",
"qaTestResult": {},
"product": {},
"cannabis": false,
"bundleItems": []
}
],
"poActivityLog": [
{
"id": "abc123",
"companyId": "abc123",
"shopId": "abc123",
"created": 1704067200000,
"modified": 1704067200000,
"deleted": false,
"updated": false,
"purchaseOrderId": "abc123",
"employeeId": "abc123",
"log": "string",
"activityType": "NORMAL_LOG"
}
],
"companyLogo": "string"
}